document.addEventListener('DOMContentLoaded', function () {
  const pathContainer = document.getElementById('path-container');
  const addStepButton = document.getElementById('add-step');
  const resetPathButton = document.getElementById('reset-path');

  addStepButton.addEventListener('click', function () {
    const newNode = document.createElement('div');
    newNode.className = 'node';
    newNode.innerHTML = '<span>Step</span>';
    pathContainer.appendChild(newNode);
  });

  resetPathButton.addEventListener('click', function () {
    pathContainer.innerHTML = '';
  });
});